/* 
 * Copyright (c) 2010-2011 ISPRAS
 *
 * Institute for System Programming of the Russian Academy of Sciences (ISPRAS)
 * 25 A.Solzhenitsyn st. Moscow 109004 Russia
 * http://hardware.ispras.ru
 *
 * All rights reserved.
 *
 * This source code is free software; you can redistribute it
 * and/or modify it in source code form under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 * $Id: vsim.h,v 1.2 2010/03/05 18:09:27 kamkin Exp $
 */

#ifndef _SYNC_H_INCLUDED_
#define _SYNC_H_INCLUDED_

#ifdef __cplusplus
extern "C" {
#endif

#define ACTION_START_OPERATION  1
#define ACTION_FINISH_OPERATION 2

int start_scenario_with_wrapper(void(*wrapper)(void));
int end_scenario(void);

int  wait_for_apply(void);
void wait_for_check(void);

void apply_check(void);
void apply_finish(void);
void apply_operation(void);

#ifdef __cplusplus
}
#endif

#endif // _SYNC_H_INCLUDED_
